const system = require("../../../system");
const ServiceBase = require("../../sve.base");
var settings = require("../../../../config/settings");
class PushlogService extends ServiceBase {
  constructor() {
    super("common", ServiceBase.getDaoName(PushlogService));
    this.logCtl = system.getObject("service.common.oplogSve");
    this.pushfaillogDao = system.getObject("db.common.pushfaillogDao");
  }
  async createDb(qobj) {
    try {
      qobj.optitle = (new Date()).Format("yyyy-MM-dd hh:mm:ss") + "：" + qobj.optitle;
      this.dao.create(qobj);
    } catch (e) {
      //日志记录
      this.logCtl.error({
        appid: qobj.appid || "",
        appkey: qobj.appkey || "",
        requestId: qobj.requestId || "",
        op: qobj.op || "",
        content: qobj.content + "-->error：" + e.stack,
        clientIp: qobj.clientIp || "",
        optitle: qobj.optitle || "" + "-->添加日志失败center_channel_pushlog->createDb",
      });
    }
  }
  async createFailLogDb(qobj) {
    try {
      qobj.optitle = (new Date()).Format("yyyy-MM-dd hh:mm:ss") + "：" + qobj.optitle;
      this.pushfaillogDao.create(qobj);
    } catch (e) {
      //日志记录
      this.logCtl.error({
        appid: qobj.appid || "",
        appkey: qobj.appkey || "",
        requestId: qobj.requestId || "",
        op: qobj.op || "",
        content: qobj.content + "-->error：" + e.stack,
        clientIp: qobj.clientIp || "",
        optitle: qobj.optitle || "" + "-->添加日志失败center_channel_pushfaillog->createFailLogDb",
      });
    }
  }
  async delDbPushfaillogById(id) {
    this.pushfaillogDao.bulkDeleteByWhere({ where: { id: id } });
  }
}
module.exports = PushlogService;
