<a name="menu" href="/doc">返回主目录</a>

1. [获取商标订单交付信息](#getTmOrderDeliveryInfo)
1. [获取商标官文列表信息](#getTmOrderDeliveryFlowList)
1. [修改订单联系人](#updateContacts)
1. [商标订单修改-商标信息修改](#updateTmInfo)
1. [商标订单修改-商标尼斯信息修改](#updateNclInfo)
1. [商标订单修改-修改申请人信息](#updateCustomerInfo)
1. [商标订单修改-修改交官材料](#updateOfficial)
1. [商标方案确认](#tmConfirm)

## **<a name="getTmOrderDeliveryInfo"> 获取商标订单交付信息</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getOrderDeliveryInfo

``` javascript
{
    "orderNo":"TM26202002271337mkgN"// Y 订单号
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data": {
        "deliveryUpdated":"2020-02-19T06:53:09.000Z",//流程状态创建时间
        "deliveryStatus": "dsh",//流程状态编码
        "deliveryStatusName": "待审核",//流程状态名称（dsccl: 待上传材料,dfwsfw: 待服务,dqrfa:待确认方案,fabtg:方案不通过, dsh: 待审核, ddj: 待递交, ydj: 已递交, ywc: 已完成）    
        "deliveryStatusList":[
            {
                "deliveryUpdated":"2020-02-18T06:53:09.000Z",//流程状态创建时间
                "deliveryStatus": "dsccl",//流程状态编码
                "deliveryStatusName": "待上传材料"//流程状态名称（dsccl: 待上传材料,dfwsfw: 待服务,dqrfa:待确认方案,fabtg:方案不通过, dsh: 待审核, ddj: 待递交, ydj: 已递交, ywc: 已完成）
            },
            {
                "deliveryUpdated":"2020-02-19T06:53:09.000Z",
                "deliveryStatus": "dsh",
                "deliveryStatusName": "待审核"
            }
        ],
        "notes":"", //  订单备注                                                                                       
        "opNotes":"", //操作备注  
        "orderContact": {
            "id": 448,
            "contactName": "宋毅",//联系人
            "mobile": "15010929368",//联系人手机号
            "tel": null,//联系人电话
            "email": "songyi@gongsibao.com",//联系人邮箱
            "fax": null//联系人传真
        },    
        "apply": {//申请信息
            "applyAddr": "上海市杨浦区国定路346号三楼0624室",//执照详细地址
            "applyArea": "",//申请区域--暂时没有用到
            "businessLicensePic": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.jpg",//营业执照jpg地址
			"businessLicensePdf": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.pdf",//营业执照pdf地址
            "code": "91310110398635929J",//统一社会信用代码
            "customerType": "ent",//申请人类型 person个人，ent企业           
            "identityCardNo": "",//申请人身份证号--（申请类型为个人有此值）
            "identityCardPic": "",//申请人身份证jpg地址--（申请类型为个人有此值）
			"identityCardPdf": "",   //申请人身份证pdf地址  --（申请类型为个人有此值）    
            "name": "上海辰者信息科技有限公司",  //申请人名称          
            "gzwtsUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_wts863215710393842862019914.jpg",//盖章委托书url
            "smwjUrl":"",//说明文件url
            "zipCode": "100000"//邮政编码
        },
        "tm": {
            "colorizedPicUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",//商标彩色图样
            "tmName": "testbiao",//商标名称
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",//商标图样       
            "tmFormType": "3"//商标类型形式： 3: 字, 4: 图, 5: 字图
        },
        "nclones": [
            {
                "tbCode": "TB26202002271337v5y9",//提报号   
                "tmRegistNum": "",//商标申请号   
                "code": "02",//尼斯大类编码
                "name": "颜料油漆",//尼斯大类名称
                "submitTime": "",//提报时间                
                "tmStatus": "dsh",//商标状态编码
                "tmStatusName": "待审核",//商标状态编码名称
				"nclCount": 2,//尼斯小项数量
				"nclPublicExpense": 300,
                "nclThree": [
                    {
                        "code": "020008",//小项编码
                        "disabled": false,
                        "fullname": "020008 绘画用铝粉",//小项编码加名称
                        "name": "绘画用铝粉",//小项名称
                        "pcode": "0202"//小项所属群组编码
                    },
                    {
                        "code": "020005",
                        "name": "食品用着色剂",
                        "pcode": "0203",
                        "disabled": "false",
                        "fullname": "020005 食品用着色剂"
                    }
                ]
            }
        ]
    },
    "requestId": "fe7bb14275d94b48a041c371dfde50aa"
}

```

## **<a name="getTmOrderDeliveryFlowList"> 获取商标官文列表信息</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/order/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：getOrderDeliveryFlowList

``` javascript
{
    "sourceOrderNoList":["29471633","29956232"]// Y 商标申请号
}

```

#### 返回结果
```javascript
{
    "status": 0,// 0为成功，否则失败
    "msg": "success",
    "data": [
        {
            "sourceOrderNo": "29471633",
            "flowList": [
                {
                    "updated": "2020-02-19T06:53:09.000Z",// 创建时间
                    "tmStatus": "13",//官文状态编码
                    "uploadFileName": "29471633-注册-PASSED.pdf",//上传文件名称
                    "returnReceiptUrl": "http://gsb-public.oss-cn-beijing.aliyuncs.com/netsharp_Z7wfENwQZDWiWFbMsSchDkFJKfBb3Ah4.jpg",//官文回执Url
                    "tmStatusName": "已下发商标注册证"//官文状态名称
                }
            ]
        },
        {
            "sourceOrderNo": "29956232",
            "flowList": [
                {
                    "updated": "2020-02-20T06:53:09.000Z",
                    "tmStatus": "3",
                    "uploadFileName": "29956232-已受理-RECVED.pdf",
                    "returnReceiptUrl": "http://gsb-public.oss-cn-beijing.aliyuncs.com/netsharp_bj38cY3ZkN4AGj48kQGNSEaSMECJXN5c.pdf",
                    "tmStatusName": "已受理"
                }
            ]
        }
    ],
    "requestId": "97b78e24d2a441dca525d36af9b7c75d"
}

```


## **<a name="updateContacts"> 修改订单联系人</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateContacts

``` javascript
{    
    "orderNo":"TM26202002271337mkgN",// Y 订单号
    "notes":"订单备注",// N 订单备注
    "orderContact":{ // Y 订单联系人信息
        "contacts": "宋毅",// Y 联系人
        "mobile": "15010929368",// Y 联系人电话
        "email": "songyi@gongsibao.com",// Y 联系人邮箱
        "fax": ""// N 传真
    }        
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="updateTmInfo"> 商标订单修改-商标信息修改</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
        "orderNo":"TM26202002271337mkgN",// Y 订单号        
        "tm": {
            "colorizedPicUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",// Y 商标彩色图样
            "tmName": "testbiao",// Y 商标名称
            "channelItemAppendName":"testbiao",// Y 填写的商标名称  如：AA为例：文字不处理为：AA、文字及图处理成：AA及图、图形处理成：图形
            "picUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_word2picb2bc98b9fc564ef2a1f4b3cbe9352f39.jpg",// Y 商标图样       
            "tmFormType": "3"// Y 商标类型形式：1: 立体, 3: 字, 4: 图, 5: 字图, 6: 颜色, 7: 彩色
        }
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffenclonese"
}

```

## **<a name="updateNclInfo"> 商标订单修改-商标尼斯信息修改</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
    "orderNo":"TM26202002271337mkgN",// Y 订单号
    "additions":{// N 附加购买项目
        "payCode": "zzsbzc-2", // Y 支付价格code
        "quantity":2// Y 购买数量
    },
    "nclones": [
        {
            "code": "02",//大类编码
            "name": "颜料油漆",//大类名称
            "nclThree": [
                {
                    "code": "020008",//小项编码
                    "disabled": "false",
                    "fullname": "020008 绘画用铝粉",//小项编码加名称
                    "name": "绘画用铝粉",//小项名称
                    "pcode": "0202"//小项所属群组编码
                },
                {
                    "code": "020005",
                    "disabled": "false",
                    "fullname": "020005 食品用着色剂",
                    "name": "食品用着色剂",
                    "pcode": "0203"
                }
            ]
        }
    ]
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="updateCustomerInfo"> 商标订单修改-修改申请人信息</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
    "orderNo":"TM26202002271337mkgN",// Y 订单号
    "apply": {// Y 申请信息
        "applyAddr": "上海市杨浦区国定路346号三楼0624室",// Y 执照详细地址
        "applyArea": "",//申请区域--暂时没有用到
        "businessLicensePic": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.jpg",// Y 营业执照jpg地址
        "businessLicensePdf": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.pdf",// Y 营业执照pdf地址
        "code": "91310110398635929J",// Y 统一社会信用代码
        "customerType": "ent",// Y 申请人类型 person个人，ent企业           
        "identityCardNo": "",// N 申请人身份证号--（申请类型为个人有此值）
        "identityCardPic": "",// N 申请人身份证jpg地址--（申请类型为个人有此值）
        "identityCardPdf": "",   // N 申请人身份证pdf地址  --（申请类型为个人有此值）    
        "name": "上海辰者信息科技有限公司",  // Y 申请人名称          
        "zipCode": "100000"// Y 邮政编码
    }
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="updateOfficial"> 商标订单修改-修改交官材料</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：updateTmOrder

``` javascript
{
        "orderNo":"TM26202002271337mkgN",// Y 订单号
        "apply": {// Y 申请信息
            "identityCardPic": "",// N 申请人身份证jpg地址--（申请类型为个人有此值）
            "identityCardPdf": "",   // N 申请人身份证pdf地址  --（申请类型为个人有此值）   
            "businessLicensePic": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.jpg",// Y 营业执照jpg地址
            "businessLicensePdf": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_yyzz120315554031547442019316.pdf",// Y 营业执照pdf地址   
            "gzwtsUrl": "https://gsb-zc.oss-cn-beijing.aliyuncs.com/zc_wts863215710393842862019914.jpg",// Y 盖章委托书url
            "smwjUrl":""//  N 说明文件url
        }
}

```

#### 返回结果
```javascript
{
    "status":0,// 0为成功，否则失败
    "msg":"success",
    "data":null,
    "requestId":"ab3dbb7dce5b4b44bc1d1c83e887ffee"
}

```

## **<a name="tmConfirm"> 商标方案确认</a>**
[返回到目录](#menu)
##### URL
[/web/opaction/opOrder/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 请求头中需要增加userpin（用户登录后的凭证）的值
#### 渠道执行的类型 actionType：tmConfirm

``` javascript
{
    "orderNo ":"346c3091684e4e0eef",
    "isConfirm ":"1",
    "notes ":"",

}

```

#### 返回结果
```javascript
{
    "status":0,
    "data":null,
    "msg":"商标方案确认成功",
    "requestId":"0c14f04dc187486b829e392dc87c70c6"
}

```
